estfun {sandwich} | R Documentation

## Extract Empirical Estimating Functions

### Description

Generic function for extracting the empirical estimating functions of a fitted model.

### Usage

    estfun(x, ...)

### Arguments

`x` | a fitted model object.
`...` | arguments passed to methods.

### Value

A matrix containing the empirical estimating functions. Typically, this should be an n x k matrix corresponding to n observations and k parameters. The columns should be named as in `coef` or `terms`, respectively.

The estimating function (or score function) for a model is the derivative of the objective function with respect to the parameter vector. The empirical estimating functions is the evaluation of the estimating function at the observed data (n observations) and the estimated parameters (of dimension k).

### References

Zeileis A (2006), Object-Oriented Computation of Sandwich Estimators. Journal of Statistical Software, 16(9), 1–16. URL http://www.jstatsoft.org/v16/i09/.

### See Also

`lm`, `glm`

### Examples

    ## linear regression
    x <- sin(1:10)
    y <- rnorm(10)
    fm <- lm(y ~ x)

    ## estimating function: (y - x'beta) * x
    estfun(fm)
    residuals(fm) * cbind(1, x)

[Package sandwich version 2.5-1 Index]